[Forgot Password]
Login  Register Subscribe

24003

 
 

131401

 
 

103942

 
 

909

 
 

83962

 
 

133

Paid content will be excluded from the download.


Download | Alert*
OVAL

CESA-2015:2101 -- centos 7 python

ID: oval:org.secpod.oval:def:204253Date: (C)2017-04-04   (M)2018-01-05
Class: PATCHFamily: unix




Python is an interpreted, interactive, object-oriented programming language often compared to Tcl, Perl, Scheme, or Java. Python includes modules, classes, exceptions, very high level dynamic data types and dynamic typing. Python supports interfaces to many system calls and libraries, as well as to various windowing systems . It was discovered that the Python xmlrpclib module did not restrict the size of gzip-compressed HTTP responses. A malicious XMLRPC server could cause an XMLRPC client using xmlrpclib to consume an excessive amount of memory. It was discovered that multiple Python standard library modules implementing network protocols failed to restrict the sizes of server responses. A malicious server could cause a client using one of the affected modules to consume an excessive amount of memory. It was discovered that the CGIHTTPServer module incorrectly handled URL encoded paths. A remote attacker could use this flaw to execute scripts outside of the cgi-bin directory, or disclose the source code of the scripts in the cgi-bin directory. An integer overflow flaw was found in the way the buffer function handled its offset and size arguments. An attacker able to control these arguments could use this flaw to disclose portions of the application memory or cause it to crash. A flaw was found in the way the json module handled negative index arguments passed to certain functions . An attacker able to control the index value passed to one of the affected functions could possibly use this flaw to disclose portions of the application memory. The Python standard library HTTP client modules did not perform verification of TLS/SSL certificates when connecting to HTTPS servers. A man-in-the-middle attacker could use this flaw to hijack connections and eavesdrop or modify transferred data. Note: The Python standard library was updated to make it possible to enable certificate verification by default. However, for backwards compatibility, verification remains disabled by default. Future updates may change this default. Refer to the Knowledgebase article 2039753 linked to in the References section for further details about this change. This update also fixes the following bugs: * Subprocesses used with the Eventlet library or regular threads previously tried to close epoll file descriptors twice, which led to an "Invalid argument" error. Subprocesses have been fixed to close the file descriptors only once. * When importing the readline module from a Python script, Python no longer produces erroneous random characters on stdout. * The cProfile utility has been fixed to print all values that the "-s" option supports when this option is used without a correct value. * The load_cert_chain function now accepts "None" as a keyfile argument. In addition, this update adds the following enhancements: * Security enhancements as described in PEP 466 have been backported to the Python standard library, for example, new features of the ssl module: Server Name Indication support, support for new TLSv1.x protocols, new hash algorithms in the hashlib module, and many more. * Support for the ssl.PROTOCOL_TLSv1_2 protocol has been added to the ssl library. * The ssl.SSLSocket.version method is now available to access information about the version of the SSL protocol used in a connection. All python users are advised to upgrade to these updated packages, which contain backported patches to correct these issues and add these enhancements.

Platform:
CentOS 7
Product:
python
Reference:
CESA-2015:2101
CVE-2013-1752
CVE-2013-1753
CVE-2014-4616
CVE-2014-4650
CVE-2014-7185
CVE-2014-9365
CVE    3
CVE-2014-9365
CVE-2014-4616
CVE-2014-7185
CPE    94
cpe:/o:centos:centos:7
cpe:/a:python:python:2.7
cpe:/a:python:python:3.3
cpe:/a:python:python:3.4.0
...

© 2013 SecPod Technologies